List of all members
clan::IODeviceProvider Class Referenceabstract
clanCore I/O Data

I/O device provider interface. More...

`#include <iodevice_provider.h>`

## Public Member Functions
Construction
virtual | ~IODeviceProvider ()
Attributes
virtual int | get_size () const
| Returns the size of data stream. More...
virtual int | get_position () const
| Returns the position in the data stream. More...
Operations
virtual int | send (const void *data, int len, bool send_all=true)=0
| Send data to device. More...
virtual int | receive (void *data, int len, bool receive_all=true)=0
| Receive data from device. More...
virtual int | peek (void *data, int len)=0
| Peek data from device. More...
virtual IODeviceProvider * | duplicate ()=0
| Returns a new provider to the same resource. More...
virtual bool | seek (int, IODevice::SeekMode)
| Seek in data stream. More...

## Detailed Description

I/O device provider interface.

The documentation for this class was generated from the following file:

- iodevice_provider.h